server:
  port: ${port:8099}

spring:
  datasource:                                     # 数据源的相关配置
    type: com.zaxxer.hikari.HikariDataSource      # 数据源的类型，可以更改为其他的数据源配置，比如druid
    driver-class-name: com.mysql.cj.jdbc.Driver      # mysql/MariaDB 的数据库驱动类名称
    url: jdbc:mysql://82.156.121.2:23306/shop_dev?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true
    username: wzj
    password: A085F27A43B0
    hikari:
      connection-timeout: 30000               # 等待连接池分配连接的最大时间（毫秒），超过这个时长还没有可用的连接，则会抛出SQLException
      minimum-idle: 5                         # 最小连接数
      maximum-pool-size: 20                   # 最大连接数
      auto-commit: true                       # 自动提交
      idle-timeout: 600000                    # 连接超时的最大时长（毫秒），超时则会被释放（retired）
      pool-name: DataSourceHikariCP           # 连接池的名字
      max-lifetime: 18000000                  # 连接池的最大生命时长（毫秒），超时则会被释放（retired）
      connection-test-query: SELECT 1
  redis:
    host: 82.156.121.2
    port: 26379
    password: e4ea0caebfd2
    database: 1        # 使用的数据库编号
    jedis:
      pool:
        max-idle: 200     # 最大空闲连接
        max-active: 200  # 连接池最大连接数
        max-wait: 100   # 连接池最大阻塞等待时间, -1表示没有限制
        min-idle: 4     # 最小空闲连接
    timeout: 5000
  data:
    mongodb:
#      uri: mongodb://root:root@192.168.1.202:27017
#      database: imooc-red-book
      uri: mongodb://admin:A1969bf8@82.156.121.2:37017/admin
  rabbitmq:
    host: 182.92.182.217
    port: 5672
    username: admin
    password: 123123
    virtual-host: imooc-red-book
  application:
    name: imooc-red-book-nacos
  cloud:
    nacos:
      discovery:
        server-addr: 182.92.182.217:8848   # nacos 所在的地址

# 打开监控
management:
  endpoint:
    web:
      exposure:
        include: '*'

# MinIO 配置
minio:
  endpoint: http://82.156.121.2:29000      # MinIO服务地址
  fileHost: http://82.156.121.2:29000      # 文件地址host
  bucketName: bucket                      # 存储桶bucket名称
  accessKey: NJ2GN2wLVkMnyrznbE9t                         # 用户名
  secretKey: nrT3e3pRWF5HXQRiIxxDhq20eJ0YrN8lvx5p8bK6                     # 密码
  imgSize: 1024                           # 图片大小限制，单位：m
  fileSize: 1024                          # 文件大小限制，单位：m
